package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkorderSharestockCpsorderListCpsOrderRequest struct {
	/*
	   订单更新开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   订单更新结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   页序号，从0开始     */
	PageIndex *int64 `json:"page_index,omitempty" `

	/*
	   单页大小，不超过200     */
	PageSize *int64 `json:"page_size,omitempty" `
}

func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderRequest) SetStartTime(v util.LocalTime) *AlibabaWdkorderSharestockCpsorderListCpsOrderRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderRequest) SetEndTime(v util.LocalTime) *AlibabaWdkorderSharestockCpsorderListCpsOrderRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderRequest) SetPageIndex(v int64) *AlibabaWdkorderSharestockCpsorderListCpsOrderRequest {
	s.PageIndex = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderRequest) SetPageSize(v int64) *AlibabaWdkorderSharestockCpsorderListCpsOrderRequest {
	s.PageSize = &v
	return s
}
